"
 COPYRIGHT (c) 1999 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

"{ Package: 'stx:libbasic' }"

ExternalAddress subclass:#OSHandle
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Compatibility-ST80'
!

!OSHandle class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1999 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    ST-80 compatibility class.
    This may be required when existing code has to be ported to ST/X;
    however, it may not be complete and more protocol may be added in the future.
    The code here was created when public domain code (Manchester) had to
    be ported to ST/X and missing classes/methods were encountered, and code added
    by reasoning 'what the original class could probably do there'.

    [author:]
        Claus Gittinger
"
! !

!OSHandle class methodsFor:'Compatibility-VW'!

currentOS
    "ST-80 compatibility."

    "/ mhmh what does ST80/VW returned here ?

    OperatingSystem isUNIXlike ifTrue:[^ #unix].
    OperatingSystem isOS2like  ifTrue:[^ #os2].
    OperatingSystem isMSWINDOWSlike  ifTrue:[^ #windows].
    ^ #unknown

    "
     OSHandle currentOS
    "
!

currentProcessID
    "ST-80 compatibility."

    ^ OperatingSystem getProcessId

    "
     OSHandle currentProcessID
    "

    "Created: / 30.10.2001 / 17:31:55 / cg"
! !

!OSHandle methodsFor:'finalization'!

finalize
    self subclassResponsibility
! !

!OSHandle class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/OSHandle.st,v 1.10 2003-08-30 12:32:18 cg Exp $'
! !
